diff --git a/benchmarks/rails/substruct/config/database.yml b/benchmarks/rails/substruct/config/database.yml
index 31fa93e..22f7cb2 100644
--- a/benchmarks/rails/substruct/config/database.yml
+++ b/benchmarks/rails/substruct/config/database.yml
@@ -14,26 +14,29 @@
 #
 # And be sure to use new-style password hashing:
 #   http://dev.mysql.com/doc/refman/5.0/en/old-client.html
+sqlite3_development:
+  adapter: sqlite3
+  database: d:/github/ruby-benchmark-suite/benchmarks/rails/substruct/db/development.sqlite3
+  pool: 5
+  timeout: 5000
+  
+sqlite3_production:
+  adapter: sqlite3
+  database: d:/github/ruby-benchmark-suite/benchmarks/rails/substruct/db/development.sqlite3
+  pool: 5
+  timeout: 5000
+  
 development:
-  adapter: mysql
-  encoding: utf8
-  database: substruct_rbs_development
-  username: root
-  password:
-
-# Warning: The database defined as 'test' will be erased and
-# re-generated from your development database when you run 'rake'.
-# Do not set this db to the same as development or production.
-test:
-  adapter: mysql
-  encoding: utf8
-  database: substruct_rbs_test
-  username: root
-  password:
+  mode: ADONET
+  adapter: sqlserver
+  host: SBORDE1\SQLEXPRESS
+  database: substruct_rbs_production
+  integrated_security: true
 
 production:
-  adapter: mysql
-  encoding: utf8
+  mode: ADONET
+  adapter: sqlserver
+  host: SBORDE1\SQLEXPRESS
   database: substruct_rbs_production
-  username: root
-  password: 
+  integrated_security: true
+  
diff --git a/benchmarks/rails/substruct/config/environment.rb b/benchmarks/rails/substruct/config/environment.rb
index 59cec7b..ad29206 100644
--- a/benchmarks/rails/substruct/config/environment.rb
+++ b/benchmarks/rails/substruct/config/environment.rb
@@ -11,6 +11,8 @@ $: << "../19_compat" if RUBY_VERSION >= '1.9'  # 1.9 compat libs
 require File.join(File.dirname(__FILE__), 'boot')
 require File.join(File.dirname(__FILE__), '../vendor/plugins/engines/boot')

+# Use the ironruby_sqlserver gem for IronRuby 
+require 'ironruby_sqlserver' if defined? RUBY_ENGINE and RUBY_ENGINE=="ironruby"
+
 Rails::Initializer.run do |config|
   # Settings in config/environments/* take precedence over those specified here
   
@@ -59,7 +61,7 @@ end
 
 # Include your application configuration below
 require 'rubygems'
-gem 'RedCloth'
+#gem 'RedCloth'
 gem 'fastercsv'
 
 begin
diff --git a/benchmarks/rails/substruct/db/schema.rb b/benchmarks/rails/substruct/db/schema.rb
index ad9186d..f53e696 100644
--- a/benchmarks/rails/substruct/db/schema.rb
+++ b/benchmarks/rails/substruct/db/schema.rb
@@ -24,7 +24,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.string   "type",       :limit => 50,  :default => "", :null => false
   end
 
-  add_index "content_nodes", ["name"], :name => "name"
+  add_index "content_nodes", ["name"], :name => "name_content_nodes"
   add_index "content_nodes", ["type", "id"], :name => "type"
 
   create_table "content_nodes_sections", :id => false, :force => true do |t|
@@ -93,8 +93,8 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "country_id",    :limit => 11, :default => 0,  :null => false
   end
 
-  add_index "order_addresses", ["first_name", "last_name"], :name => "name"
-  add_index "order_addresses", ["country_id", "order_user_id"], :name => "countries"
+  add_index "order_addresses", ["first_name", "last_name"], :name => "name_order_addresses"
+  add_index "order_addresses", ["country_id", "order_user_id"], :name => "countries_index"
 
   create_table "order_line_items", :force => true do |t|
     t.integer "item_id",    :limit => 11
@@ -122,7 +122,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.string "name", :limit => 30, :default => "", :null => false
   end
 
-  add_index "order_status_codes", ["name"], :name => "name"
+  add_index "order_status_codes", ["name"], :name => "name_order_status_codes"
 
   create_table "order_users", :force => true do |t|
     t.string   "username",      :limit => 50
@@ -222,7 +222,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "related_id", :limit => 11, :default => 0, :null => false
   end
 
-  add_index "related_products", ["product_id", "related_id"], :name => "related_products"
+  add_index "related_products", ["product_id", "related_id"], :name => "index_related_products"
 
   create_table "rights", :force => true do |t|
     t.string "name"
@@ -266,7 +266,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "parent_id", :limit => 11,  :default => 0,  :null => false
   end
 
-  add_index "tags", ["name"], :name => "name"
+  add_index "tags", ["name"], :name => "name_tags"
 
   create_table "user_uploads", :force => true do |t|
     t.string   "filename"
diff --git a/benchmarks/rails/substruct/vendor/plugins/substruct/config/environment.rb b/benchmarks/rails/substruct/vendor/plugins/substruct/config/environment.rb
index 4697235..9df0121 100644
--- a/benchmarks/rails/substruct/vendor/plugins/substruct/config/environment.rb
+++ b/benchmarks/rails/substruct/vendor/plugins/substruct/config/environment.rb
@@ -59,7 +59,7 @@ end
 
 # Include your application configuration below
 require 'rubygems'
-gem 'RedCloth'
+#gem 'RedCloth'
 gem 'fastercsv'
 
 begin
diff --git a/benchmarks/rails/substruct/vendor/plugins/substruct/db/schema.rb b/benchmarks/rails/substruct/vendor/plugins/substruct/db/schema.rb
index ad9186d..f53e696 100644
--- a/benchmarks/rails/substruct/vendor/plugins/substruct/db/schema.rb
+++ b/benchmarks/rails/substruct/vendor/plugins/substruct/db/schema.rb
@@ -24,7 +24,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.string   "type",       :limit => 50,  :default => "", :null => false
   end
 
-  add_index "content_nodes", ["name"], :name => "name"
+  add_index "content_nodes", ["name"], :name => "name_content_nodes"
   add_index "content_nodes", ["type", "id"], :name => "type"
 
   create_table "content_nodes_sections", :id => false, :force => true do |t|
@@ -93,8 +93,8 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "country_id",    :limit => 11, :default => 0,  :null => false
   end
 
-  add_index "order_addresses", ["first_name", "last_name"], :name => "name"
-  add_index "order_addresses", ["country_id", "order_user_id"], :name => "countries"
+  add_index "order_addresses", ["first_name", "last_name"], :name => "name_order_addresses"
+  add_index "order_addresses", ["country_id", "order_user_id"], :name => "countries_index"
 
   create_table "order_line_items", :force => true do |t|
     t.integer "item_id",    :limit => 11
@@ -122,7 +122,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.string "name", :limit => 30, :default => "", :null => false
   end
 
-  add_index "order_status_codes", ["name"], :name => "name"
+  add_index "order_status_codes", ["name"], :name => "name_order_status_codes"
 
   create_table "order_users", :force => true do |t|
     t.string   "username",      :limit => 50
@@ -222,7 +222,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "related_id", :limit => 11, :default => 0, :null => false
   end
 
-  add_index "related_products", ["product_id", "related_id"], :name => "related_products"
+  add_index "related_products", ["product_id", "related_id"], :name => "index_related_products"
 
   create_table "rights", :force => true do |t|
     t.string "name"
@@ -266,7 +266,7 @@ ActiveRecord::Schema.define(:version => 0) do
     t.integer "parent_id", :limit => 11,  :default => 0,  :null => false
   end
 
-  add_index "tags", ["name"], :name => "name"
+  add_index "tags", ["name"], :name => "name_tags"
 
   create_table "user_uploads", :force => true do |t|
     t.string   "filename"
diff --git a/benchmarks/rails/substruct/vendor/plugins/substruct/lib/substruct.rb b/benchmarks/rails/substruct/vendor/plugins/substruct/lib/substruct.rb
index 006dd4d..14020a2 100644
--- a/benchmarks/rails/substruct/vendor/plugins/substruct/lib/substruct.rb
+++ b/benchmarks/rails/substruct/vendor/plugins/substruct/lib/substruct.rb
@@ -2,7 +2,7 @@
 require_dependency 'substruct/login_system.rb'
 
 require 'patch_attachment_fu'
-require 'redcloth'
+#require 'redcloth'
 module Substruct
   # Should we use live rate calculation via FedEx?
   mattr_accessor :use_live_rate_calculation
@@ -214,12 +214,14 @@ LOOKING INTO OTHER OPTIONS!!!
 
   # Returns markdown formatted content
   def get_markdown(content)
-    new_content = RedCloth.new(content).to_html
+    # new_content = RedCloth.new(content).to_html
+    new_content = content
   end
 
   # Gets a markdown formatted snippet of content, truncated.
   def get_markdown_snippet(content, length=100)
-    rc = RedCloth.new(content).to_html
+    #rc = RedCloth.new(content).to_html
+    rc = content
     cut_content = truncate_words(rc, length)
     new_content = sanitize_html(cut_content)
   end
diff --git a/benchmarks/rails/substruct/vendor/plugins/substruct/tasks/substruct.rake b/benchmarks/rails/substruct/vendor/plugins/substruct/tasks/substruct.rake
index 128f108..6382e99 100644
--- a/benchmarks/rails/substruct/vendor/plugins/substruct/tasks/substruct.rake
+++ b/benchmarks/rails/substruct/vendor/plugins/substruct/tasks/substruct.rake
@@ -50,7 +50,7 @@ namespace :substruct do
       
       # Check requirements
       require 'rubygems' unless Object.const_defined?(:Gem)
-      %w(RedCloth fastercsv mime-types mini_magick ezcrypto).each do |gem_name|
+      %w(fastercsv mime-types ezcrypto).each do |gem_name|
         check_installed_gem(gem_name)
       end
       
diff --git a/benchmarks/rails/substruct_start_and_bootstrap_if_necessary.rb b/benchmarks/rails/substruct_start_and_bootstrap_if_necessary.rb
index 6e6875f..860f21f 100644
--- a/benchmarks/rails/substruct_start_and_bootstrap_if_necessary.rb
+++ b/benchmarks/rails/substruct_start_and_bootstrap_if_necessary.rb
@@ -3,7 +3,7 @@
 $:.unshift '19_compat' if RUBY_VERSION >= '1.9'
 require 'rubygems'
 
-for gem in ["RedCloth", "fastercsv", "mime/types", "mini_magick", "ezcrypto"] do
+for gem in ["fastercsv", "mime/types", "ezcrypto"] do
  require gem
 end
 